| Version: 3.2.5

Classes | Enumerations
richtextprint.h File Reference

## Classes

class | wxRichTextHeaderFooterData
| This class represents header and footer data to be passed to the wxRichTextPrinting and wxRichTextPrintout classes. More...
class | wxRichTextPrintout
| This class implements print layout for wxRichTextBuffer. More...
class | wxRichTextPrinting
| This class provides a simple interface for performing wxRichTextBuffer printing and previewing. More...

## Enumerations

enum | wxRichTextOddEvenPage { wxRICHTEXT_PAGE_ODD , wxRICHTEXT_PAGE_EVEN , wxRICHTEXT_PAGE_ALL }
| These are the header and footer page identifiers, passed to functions such as wxRichTextHeaderFooterData::SetFooterText to specify the odd or even page for the text. More...
enum | wxRichTextPageLocation { wxRICHTEXT_PAGE_LEFT , wxRICHTEXT_PAGE_CENTRE , wxRICHTEXT_PAGE_RIGHT }
| These are the location identifiers for passing to functions such as wxRichTextHeaderFooterData::SetFooterText(), to specify whether the text is on the left, centre or right of the page. More...

## Enumeration Type Documentation

## ◆ wxRichTextOddEvenPage

enum wxRichTextOddEvenPage

These are the header and footer page identifiers, passed to functions such as wxRichTextHeaderFooterData::SetFooterText to specify the odd or even page for the text.

Enumerator
wxRICHTEXT_PAGE_ODD |
wxRICHTEXT_PAGE_EVEN |
wxRICHTEXT_PAGE_ALL |

## ◆ wxRichTextPageLocation

enum wxRichTextPageLocation

These are the location identifiers for passing to functions such as wxRichTextHeaderFooterData::SetFooterText(), to specify whether the text is on the left, centre or right of the page.

Enumerator
wxRICHTEXT_PAGE_LEFT |
wxRICHTEXT_PAGE_CENTRE |
wxRICHTEXT_PAGE_RIGHT |